> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# mailingdomains

> MDO list provider for Mailing domains, including leading @

## "mailingdomains" MDO List

MDO list provider for Mailing domains, including leading @

Implemented by the <see cref="T:SuperOffice.CRM.Lists.MailingDomainsProvider">MailingDomainsProvider</see> class.
The name of the MDO list is 'mailingdomains'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/mailingdomains
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("mailingdomains", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "mailingdomainsheadings"
* "mailingdomainsheadingswithallitem"
* "mailingdomainsheadingswithallitemwithnoselection"
* "mailingdomainsheadingswithnoselection"
* "mailingdomainswithallitem"
* "mailingdomainswithallitemwithnoselection"
* "mailingdomainswithnoselection"


## Related topics

- [MailingDomains table](/en/database/tables/mailingdomains.md)
- [What's new in version 10.2.6.1248](/release-notes/database/changes-10.2.6.md)
- [What's new in version 10.2.7.5452](/release-notes/database/changes-10.2.7.md)
- [What's new in version 10.2.8.655](/release-notes/database/changes-10.2.8.md)
- [What's new in version 10.2.9.778](/release-notes/database/changes-10.2.9.md)
- [What's new in version 10.3.1.759](/release-notes/database/changes-10.3.1.md)
